
%global meadversion 2.1.0
%global namedversion 2.1.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-authorization-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.0.redhat-00001

Name:           %{?scl_prefix}jakarta-authorization-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Authorization
Group:          Development/Java

%if %with mead
Source100: jakarta.authorization-api-2.1.0.redhat-00001-project-sources.tar.gz
Source102: jakarta.authorization-api-2.1.0.redhat-00001-sources.jar
Source103: jakarta.authorization-api-2.1.0.redhat-00001.jar
Source104: jakarta.authorization-api-2.1.0.redhat-00001.pom
Source105: jakarta.authorization-api-2.1.0.redhat-00001-javadoc.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/eclipse-ee4j/authorization
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-authorization-api-%{namedversion}-%{release}-root

%description
Jakarta Authorization defines a low-level SPI for authorization modules,
which are repositories of permissions facilitating subject based security
by determining whether a given subject has a given permission,
and algorithms to transform security constraints for specific containers
(such as Jakarta Servlet or Jakarta Enterprise Beans) into these permissions.
%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-authorization-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.authorization-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.authorization-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.authorization-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.authorization-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.authorization-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.authorization-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.authorization-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-authorization-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.authorization-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta-authorization-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-authorization-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-authorization-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-authorization-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.authorization-api-%{namedversion}.jar
%{_javadir}/jakarta.authorization-api.jar
%if %with javadoc
%{_javadir}/jakarta.authorization-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.authorization-api-javadoc.jar
%endif
%{_javadir}/jakarta.authorization-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.authorization-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-authorization-api-%{namedversion}
%{_javadocdir}/jakarta-authorization-api
%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-2.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.1.0-1.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 Yong Yang <yyang@redhat.com> - 2.1.0-1.redhat_00001.1
- 2.1.0.redhat-00001
